function FileData_Pairs(x)
{
x.t("example","top");
x.t("example","network");
x.t("example","syntax");
x.t("example","figure");
x.t("example","specifying");
x.t("example","server");
x.t("registers","interest");
x.t("resumes","recommend");
x.t("resumes","forwarding");
x.t("active","passive");
x.t("active","server");
x.t("[canada]","url=ssl://canada:7222");
x.t("properties","syntax");
x.t("properties","two");
x.t("properties","routes");
x.t("msg-selector","outgoing_topic=");
x.t("msg-selector","message");
x.t("msg-selector","terms");
x.t("hops","route");
x.t("right","figure");
x.t("url=ssl://usa:7222","outgoing_topic=orders");
x.t("within","servers");
x.t("within","region");
x.t("re-evaluated","server");
x.t("outgoing_topic=","orders");
x.t("outgoing_topic=","topicname");
x.t("create","topic");
x.t("create","route");
x.t("create","entries");
x.t("depicts","enterprise");
x.t("gap","message");
x.t("disrupted","displays");
x.t("refer","perspective");
x.t("mechanism","work");
x.t("events","figure");
x.t("ensures","forwards");
x.t("billing","orders");
x.t("related","customers");
x.t("recommend","maxbytes");
x.t("optimal","network");
x.t("topic","msg-selector");
x.t("topic","subscriptions");
x.t("topic","addprop");
x.t("topic","servers");
x.t("topic","passes");
x.t("topic","(t1)");
x.t("topic","messages");
x.t("topic","selectors");
x.t("topic","message");
x.t("topic","tibco");
x.t("topic","page");
x.t("topic","bottom");
x.t("topic","forwards");
x.t("topic","names");
x.t("topic","server");
x.t("creates","subscriber");
x.t("creates","new");
x.t("creates","potential");
x.t("creates","non-durable");
x.t("creates","internal");
x.t("creates","durable");
x.t("situations","example");
x.t("traverse","multiple");
x.t("traverse","route");
x.t("propagating","registered");
x.t("propagating","subscribers");
x.t("uses","logical");
x.t("uses","suppress");
x.t("until","resumes");
x.t("working","routes");
x.t("missed","messages");
x.t("potentially","resulting");
x.t("potentially","result");
x.t("state","uses");
x.t("displays","behavior");
x.t("central","order");
x.t("central","server");
x.t("administrator","command");
x.t("administrator","commands");
x.t("administrator","configure");
x.t("[usa]","url=ssl://usa:7222");
x.t("exit","client");
x.t("customer","orders");
x.t("change","message");
x.t("incoming_topic","selector");
x.t("incoming_topic","selectors");
x.t("incoming_topic","symmetric");
x.t("response","creates");
x.t("delete","entire");
x.t("intact","messages");
x.t("orders","related");
x.t("orders","optimal");
x.t("orders","selector");
x.t("orders","selector=");
x.t("orders","separate");
x.t("multiple","hops");
x.t("subscriptions","servers");
x.t("subscriber","resumes");
x.t("subscriber","ensures");
x.t("subscriber","continues");
x.t("subscriber","active-active");
x.t("subscriber","store");
x.t("subscriber","behalf");
x.t("subscriber","client");
x.t("subscriber","server");
x.t("subscriber","object");
x.t("however","retain");
x.t("connection","disrupted");
x.t("property","topic");
x.t("property","defined");
x.t("removes","internal");
x.t("addprop","topic");
x.t("addprop","setprop");
x.t("servers","example");
x.t("servers","billing");
x.t("servers","delete");
x.t("servers","fails");
x.t("servers","requires");
x.t("servers","connected");
x.t("servers","store-and-forward");
x.t("servers","propagate");
x.t("servers","subscribers");
x.t("servers","configure");
x.t("servers","route");
x.t("servers","server");
x.t("servers","specify");
x.t("new","selectors");
x.t("new","internal");
x.t("new","sequence");
x.t("outgoing_topic","incoming_topic");
x.t("outgoing_topic","selector");
x.t("outgoing_topic","selectors");
x.t("top","figure");
x.t("passes","client");
x.t("desirable","lose");
x.t("command","create");
x.t("command","configuration");
x.t("restarts","generates");
x.t("restarts","consume");
x.t("fashion","client");
x.t("continues","store");
x.t("file","incoming_topic=");
x.t("enterprise","central");
x.t("enterprise","three");
x.t("enterprise","message");
x.t("during","server");
x.t("network","traffic");
x.t("network","problems");
x.t("network","capacity");
x.t("network","failure");
x.t("api","reference");
x.t("115","create");
x.t("accepts","message");
x.t("fails","removes");
x.t("fails","retains");
x.t("fails","server");
x.t("duplicate","messages");
x.t("traffic","specify");
x.t("reconnects","creates");
x.t("reconnects","forwards");
x.t("reconnects","server");
x.t("potential","demand");
x.t("requires","small");
x.t("high","volume");
x.t("region","figure");
x.t("stored","interim");
x.t("stored","messages");
x.t("creating","internal");
x.t("creating","route");
x.t("connects","servers");
x.t("active-active","network");
x.t("active-active","configuration");
x.t("active-active","route");
x.t("resulting","gap");
x.t("operation","selectors");
x.t("setprop","route");
x.t("setprop","removeprop");
x.t("name","global");
x.t("country=","mexico");
x.t("country=","usa");
x.t("country=","canada");
x.t("retains","internal");
x.t("clients","potentially");
x.t("clients","reconnects");
x.t("119","topic");
x.t("lose","messages");
x.t("illustrates","mechanism");
x.t("illustrates","enterprise");
x.t("interim","server");
x.t("further","disrupt");
x.t("sends","messages");
x.t("sends","message");
x.t("continue","flow");
x.t("combine","selectors");
x.t("consumed","therefore");
x.t("(t1)","server");
x.t("disconnected","example");
x.t("entire","sequence");
x.t("string","detailed");
x.t("problems","forwarding");
x.t("three","servers");
x.t("flow","servers");
x.t("stream","reconnects");
x.t("manipulate","selectors");
x.t("outgoing","refer");
x.t("store","messages");
x.t("small","subset");
x.t("selector","properties");
x.t("selector","topic");
x.t("selector","country=");
x.t("selector","string");
x.t("selector","syntax");
x.t("selector","route");
x.t("selector","server");
x.t("mexico","outgoing_topic=");
x.t("mexico","[usa]");
x.t("mexico","setprop");
x.t("url=ssl://canada:7222","outgoing_topic=orders");
x.t("effective","selector");
x.t("registered","interest");
x.t("configured","fails");
x.t("configured","either");
x.t("commands","create");
x.t("commands","change");
x.t("symmetry","outgoing_topic");
x.t("non-durable","subscriber");
x.t("especially","failure");
x.t("disrupt","operation");
x.t("syntax","example");
x.t("syntax","whether");
x.t("syntax","message");
x.t("syntax","documentation");
x.t("logical","combine");
x.t("messages","topic");
x.t("messages","traverse");
x.t("messages","until");
x.t("messages","servers");
x.t("messages","duplicate");
x.t("messages","stored");
x.t("messages","clients");
x.t("messages","continue");
x.t("messages","motivation");
x.t("messages","chapter");
x.t("messages","match");
x.t("messages","client");
x.t("messages","producer");
x.t("messages","pending");
x.t("messages","routed");
x.t("messages","active-passive");
x.t("messages","deliver");
x.t("messages","along");
x.t("messages","policy");
x.t("messages","route");
x.t("messages","consumers");
x.t("messages","evaluated");
x.t("messages","sent");
x.t("messages","server");
x.t("maxbytes","combining");
x.t("maxbytes","maxmsgs");
x.t("processing","customer");
x.t("behalf","client");
x.t("behalf","server");
x.t("combining","durable");
x.t("motivation","server");
x.t("chapter","working");
x.t("exchange","messages");
x.t("multi-hop","zone");
x.t("growth","further");
x.t("different","message");
x.t("define","properties");
x.t("define","selectors");
x.t("against","new");
x.t("whether","specifies");
x.t("whether","appear");
x.t("specifies","route");
x.t("may","specify");
x.t("passive","routes");
x.t("stores","topic");
x.t("stores","messages");
x.t("selectors","example");
x.t("selectors","creating");
x.t("selectors","messages");
x.t("selectors","specifies");
x.t("selectors","regional");
x.t("selectors","match");
x.t("selectors","existing");
x.t("selectors","routing");
x.t("selectors","global");
x.t("selectors","individual");
x.t("selectors","either");
x.t("selectors","routes");
x.t("selectors","route");
x.t("selectors","effect");
x.t("selectors","specify");
x.t("ways","define");
x.t("detailed","information");
x.t("internal","state");
x.t("internal","subscriber");
x.t("internal","subscribers");
x.t("exits","servers");
x.t("exits","entire");
x.t("demand","storage");
x.t("narrow","subset");
x.t("regional","servers");
x.t("regional","server");
x.t("customers","within");
x.t("match","topic");
x.t("match","selector");
x.t("wildcards","topic");
x.t("wildcards","specify");
x.t("interest","behalf");
x.t("interest","ensure");
x.t("interest","server");
x.t("capacity","configure");
x.t("outgoing_topic=orders","selector=");
x.t("connected","routes");
x.t("client","example");
x.t("client","missed");
x.t("client","exit");
x.t("client","subscriber");
x.t("client","restarts");
x.t("client","creating");
x.t("client","consider");
x.t("client","process");
x.t("client","server");
x.t("store-and-forward","fashion");
x.t("retain","internal");
x.t("unlimited","storage");
x.t("reference","example");
x.t("producer","client");
x.t("message","topic");
x.t("message","stream");
x.t("message","selector");
x.t("message","selectors");
x.t("message","tibco");
x.t("message","along");
x.t("message","service");
x.t("pending","server");
x.t("appear","command");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("symmetric","whether");
x.t("ensure","forwarding");
x.t("unwanted","network");
x.t("routes.conf","[canada]");
x.t("routes.conf","administrator");
x.t("documentation","class");
x.t("java","api");
x.t("actual","topic");
x.t("routed","topic");
x.t("consider","sequence");
x.t("existing","route");
x.t("failure","situations");
x.t("failure","active-active");
x.t("failure","maxbytes");
x.t("failure","active-passive");
x.t("active-passive","connection");
x.t("active-passive","route");
x.t("maxmsgs","property");
x.t("configuration","file");
x.t("configuration","active-active");
x.t("configuration","may");
x.t("topicname","name");
x.t("topicname","selector=");
x.t("suppress","duplicate");
x.t("usa","outgoing_topic=");
x.t("usa","commands");
x.t("usa","symmetry");
x.t("[mexico]","url=ssl://mexico:7222");
x.t("figure","depicts");
x.t("figure","administrator");
x.t("figure","illustrates");
x.t("figure","client");
x.t("figure","routing");
x.t("meanwhile","client");
x.t("restarted","syntax");
x.t("selector=","msg-selector");
x.t("selector=","country=");
x.t("forwarding","messages");
x.t("forwarding","server");
x.t("temporary","topics");
x.t("propagate","topic");
x.t("subscribers","topic");
x.t("subscribers","three");
x.t("subscribers","narrow");
x.t("subscribers","client");
x.t("subscribers","meanwhile");
x.t("subscribers","routes");
x.t("subscribers","remains");
x.t("process","exits");
x.t("deliver","messages");
x.t("incoming_topic=","topicname");
x.t("along","routes");
x.t("page","115");
x.t("page","119");
x.t("sequence","events");
x.t("sequence","internal");
x.t("sequence","subscribers");
x.t("separate","regional");
x.t("specifying","selectors");
x.t("becomes","disconnected");
x.t("configure","topic");
x.t("configure","global");
x.t("configure","routes");
x.t("behaves","client");
x.t("information","message");
x.t("defined","topic");
x.t("defined","topicname");
x.t("result","high");
x.t("zone","bottom");
x.t("routing","topic");
x.t("routing","propagating");
x.t("prevent","unlimited");
x.t("policy","potentially");
x.t("canada","outgoing_topic=");
x.t("canada","setprop");
x.t("canada","[mexico]");
x.t("global","topic");
x.t("global","property");
x.t("global","topics");
x.t("topics","properties");
x.t("topics","propagating");
x.t("subset","topic");
x.t("subset","messages");
x.t("two","ways");
x.t("perspective","active");
x.t("work","within");
x.t("incoming","outgoing");
x.t("incoming","messages");
x.t("order","server");
x.t("bottom","right");
x.t("bottom","figure");
x.t("either","servers");
x.t("either","routes.conf");
x.t("either","server");
x.t("storage","especially");
x.t("storage","growth");
x.t("individual","subscribers");
x.t("service","java");
x.t("routes","creates");
x.t("routes","central");
x.t("routes","servers");
x.t("routes","exchange");
x.t("routes","multi-hop");
x.t("routes","different");
x.t("routes","define");
x.t("routes","narrow");
x.t("routes","wildcards");
x.t("routes","routed");
x.t("routes","global");
x.t("similarly","route");
x.t("using","addprop");
x.t("class","message");
x.t("url=ssl://mexico:7222","outgoing_topic=orders");
x.t("route","active");
x.t("route","incoming_topic");
x.t("route","however");
x.t("route","servers");
x.t("route","outgoing_topic");
x.t("route","reconnects");
x.t("route","connects");
x.t("route","active-active");
x.t("route","manipulate");
x.t("route","mexico");
x.t("route","configured");
x.t("route","messages");
x.t("route","message");
x.t("route","usa");
x.t("route","becomes");
x.t("route","defined");
x.t("route","canada");
x.t("route","incoming");
x.t("route","either");
x.t("route","using");
x.t("consumers","consumed");
x.t("evaluated","against");
x.t("terms","incoming");
x.t("forwards","topic");
x.t("forwards","accepts");
x.t("forwards","stored");
x.t("forwards","messages");
x.t("forwards","global");
x.t("forwards","delivers");
x.t("therefore","desirable");
x.t("behavior","during");
x.t("volume","unwanted");
x.t("names","actual");
x.t("effect","sends");
x.t("sent","temporary");
x.t("propagates","interest");
x.t("delivers","subscriber");
x.t("delivers","messages");
x.t("generates","new");
x.t("consume","messages");
x.t("entries","routes.conf");
x.t("server","registers");
x.t("server","re-evaluated");
x.t("server","creates");
x.t("server","uses");
x.t("server","incoming_topic");
x.t("server","response");
x.t("server","subscriber");
x.t("server","fails");
x.t("server","setprop");
x.t("server","sends");
x.t("server","effective");
x.t("server","processing");
x.t("server","stores");
x.t("server","producer");
x.t("server","failure");
x.t("server","restarted");
x.t("server","behaves");
x.t("server","prevent");
x.t("server","similarly");
x.t("server","route");
x.t("server","forwards");
x.t("server","propagates");
x.t("server","delivers");
x.t("server","server");
x.t("server","gets");
x.t("object","route");
x.t("durable","subscriber");
x.t("durable","subscribers");
x.t("remains","intact");
x.t("specify","outgoing_topic");
x.t("specify","selectors");
x.t("specify","wildcards");
x.t("specify","message");
x.t("gets","orders");
x.t("removeprop","administrator");
}
